> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api/networking/zlb/load-balancer-instance/describeloadbalancers.md).

# DescribeLoadBalancers

## 1. API Description

This API (DescribeLoadBalancers) is used to query the list of load balancer instances.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type                                                     | Description                                                                                            |
| ---------------- | -------- | -------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| regionId         | No       | String                                                   | Region ID.                                                                                             |
| vpcId            | No       | String                                                   | Filter by the VPC ID to which the load balance backend server belongs.                                 |
| loadBalancerIds  | No       | Array of String                                          | <p>ID list of the load balance instance.</p><p>The maximum number of instance IDs is 100.</p>          |
| loadBalancerName | No       | String                                                   | <p>Load balance instance name.</p><p>Add \* at the end to support fuzzy matching.</p>                  |
| pageSize         | No       | Integer                                                  | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p> |
| pageNum          | No       | Integer                                                  | <p>Page number of the current page result.</p><p>Default value: 1</p>                                  |
| resourceGroupId  | No       | String                                                   | Resource Group ID.                                                                                     |
| tagKeys          | No       | Array of String                                          | <p>Query using tag keys.</p><p>A maximum of 20 tag keys can be used.</p>                               |
| tags             | No       | Array of [Tag](/api/networking/zlb/datastructure.md#tag) | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                                       |
| securityGroupId  | No       | String                                                   | <p>Security group ID.</p><p>You can call DescribeSecurityGroups to obtain details.</p>                 |

## 3. Output Parameters

| Parameter Name | Type                                                                       | Description                                                                                                           |
| -------------- | -------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                    | The total number of load balance instances that meet the filtering conditions.                                        |
| dataSet        | Array of [LoadBalancer](/api/networking/zlb/datastructure.md#loadbalancer) | The returned list of load balance instances.                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of load balancer instances.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancers
<Common Request Params>

Request：
{
}

Response：
{
    "requestId": "TC073A2C6-3923-48AD-960F-446CBF303A2A",
    "response": {
        "requestId": "TC073A2C6-3923-48AD-960F-446CBF303A2A",
        "totalCount": 6,
        "dataSet": [
            {
                "loadBalancerId": "<loadBalancerId>",
                "listenerCount": 0,
                "regionId": "asia-east-1",
                "publicIpAddress": [
                    "128.xx.xx.1"
                ],
                 "privateIpAddress": [
                    "10.xx.xx.1"
                ],
                "securityGroupId":"<your sec id>",
                "healthCheckPrivateIps": [
                    "128.xx.xx.100",
                    "128.xx.xx.101",
                ],
                "resourceGroup": {
                  "resourceGroupName": "Default Resource Group",
                  "resourceGroupId": "<resourceGroupId>"
                },
                "createTime": "2025-04-01T01:01:01Z",
                "loadBalancerName": "sample-load-balancer",
                "vpcId": "<vpcId>",
                "status": "RUNNING",
                "tags":null
              }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api/networking/zlb/load-balancer-instance/describeloadbalancers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
